> For the complete documentation index, see [llms.txt](https://docs.pancakeswap.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pancakeswap.finance/portuguese-brazilian/negociacao/perpetual-trading/perpetual-trading-v2/degen-mode/degen-mode-dynamic-fee.md).

# Taxa Dinâmica do Modo Degen

O PancakeSwap Perpetuals Degen Mode usa um modelo de taxa dinâmica. Esta taxa é projetada para cobrar taxas baseadas em PnL e proteger os usuários de perdas.\
**Como funciona?**

$$
\text{closeFeeRate} = \max\left(\frac{\text{pnl} \cdot \text{shareRate}}{\text{notional}}, \text{closeMinRate}\right)
$$

onde:

* Pnl é o lucro ou perda na posição
* shareRate é a taxa de participação, que é o percentual do nocional pago em taxas (15% por padrão)
* Notional é o valor monetário usado para abrir a posição
* closeMinRate é a taxa mínima de fechamento de posição, que é o valor mínimo que você pode pagar para fechar uma posição (0,03% por padrão)

\
**Exemplo:**

Se você tem uma posição com lucro de $100, uma taxa de participação de 15% e um nocional de $600, então a taxa de fechamento seria:

Taxa de fechamento = Max(100 \* 15% / 600, 0,03%) = 0,03%

Neste caso, a taxa de fechamento seria de 0,03%, a taxa mínima de fechamento.<br>

Nota:

A taxa de execução só será cobrada quando uma posição é aberta. Está definida em 0,3 USD (BNB Chain) / 0,2 USD (Arbitrum) / 0,01 USD (opBNB) / 0,3 USD (Base), semelhante ao que é cobrado ao negociar pares de trading perpétuo clássico. Não há taxa de abertura de posição.

No caso de Liquidação, a taxa de perda líquida de 90% inclui a taxa de fechamento.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pancakeswap.finance/portuguese-brazilian/negociacao/perpetual-trading/perpetual-trading-v2/degen-mode/degen-mode-dynamic-fee.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
